import React from 'react'

// Dependencies
import * as Sentry from '@sentry/react'

// Internal
import { Header } from '@core/Header'
import { errorDialogOptions } from '@seed'
import { AppRoutes } from './core/Router'

function ErrorFallback({ error }) {
  return <p>error message component here</p>
}

function AuthenticatedApp() {
  return (
    <Sentry.ErrorBoundary
      fallback={ErrorFallback}
      showDialog
      dialogOptions={errorDialogOptions}
    >
      <Header actionType={actionType} />

      <main id="authenticated-app-main">
        <Sentry.ErrorBoundary
          fallback={ErrorFallback}
          showDialog
          dialogOptions={errorDialogOptions}
        >
          <AppRoutes />
        </Sentry.ErrorBoundary>
      </main>
    </Sentry.ErrorBoundary>
  )
}

export default AuthenticatedApp
